diff --git a/web/package.json b/web/package.json
index 822ec451..e6424f4f 100644
--- a/web/package.json
+++ b/web/package.json
@@ -90,7 +90,7 @@
     "underscore": "^1.9.1",
     "underscore.string": "^3.3.5",
     "watchify": "~3.11.1",
-    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#a002c706ca34ee20772091b04a6cb05b13548cdc",
+    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#32b58375ac57c8b7c681a64fea226ce306dee33a",
     "wkx": "^0.4.6"
   },
   "scripts": {
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index 35b5e677..543336d2 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -102,8 +102,8 @@
   & .wcFrameCornerNW,
   & .wcFrameCornerSE,
   & .wcFrameCornerSW {
-    height: $card-border-radius*2;
-    width: $card-border-radius*2;
+    height: $splitter-hover-width;
+    width: $splitter-hover-width;
     background: transparent;
   }
 
@@ -139,12 +139,12 @@
     border-bottom-left-radius: $card-border-radius;
   }
 
-  .wcFrameEdgeH {
+  .wcFrameEdgeN, .wcFrameEdgeS {
     left: $card-border-radius !important;
     right: $card-border-radius !important;
   }
 
-  .wcFrameEdgeV {
+  .wcFrameEdgeW, .wcFrameEdgeE {
     top: $card-border-radius !important;
     bottom: $card-border-radius !important;
   }
@@ -186,24 +186,41 @@
 }
 
 .wcFrameEdge {
-  background-color: $panel-border-color;
+  background-color: transparent;
   border: none;
+  z-index: 5;
+}
+
+.wcFrameEdgeN, .wcFrameEdgeS {
+  height: $splitter-hover-width/2 + 1;
+}
+
+.wcFrameEdgeN {
+  border-top: $panel-border;
+}
+
+.wcFrameEdgeS {
+  border-bottom: $panel-border;
+}
+
+.wcFrameEdgeW, .wcFrameEdgeE {
+  width: $splitter-hover-width/2 + 1;
 }
 
-.wcFrameEdgeH {
-  height: $panel-border-width;
+.wcFrameEdgeW {
+  border-left: $panel-border;
 }
 
-.wcFrameEdgeV {
-  width: $panel-border-width;
+.wcFrameEdgeE {
+  border-right: $panel-border;
 }
 
 .wcFrameCornerNW,
 .wcFrameCornerNE,
 .wcFrameCornerSW,
 .wcFrameCornerSE {
-  height: $panel-border-width;
-  width: $panel-border-width;
+  height: $splitter-hover-width;
+  width: $splitter-hover-width;
 }
 
 
